import { SegmentSize } from '../../types';
declare type SegmentType = {
    isActive: boolean;
    size: SegmentSize;
    hasFocus: boolean;
    segmentPadding: string;
};
export declare const SegmentWrapper: import("styled-components").StyledComponent<"button", import("styled-components").DefaultTheme, SegmentType, never>;
export declare const SegmentLabel: import("styled-components").StyledComponent<"div", import("styled-components").DefaultTheme, {}, never>;
export {};
